------------------------------------------------------------------------------------
--Name:  	juqing5
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-10-19
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(55, 55)
local Player_1 = CppScriptMgr:QueryHero()
Player_1:SetPos(55, 55)
Player_1:SetDir(0)
local Player_2 = CppScriptMgr:AddSimplePlayer(1051614, 55, 61, "MysteryMan", 0, 0)
Player_2:SetDir(4)
Player_2:SetAction(260)
Player_2:SetFrameInterval(100000)
CppScriptMgr:WaitMilSec(500)
Player_1:Say("Stop! End this all!", 1500)
Player_1:SetAction(190)
CppScriptMgr:WaitMilSec(1470)
Player_2:Say("Hahaha! Do you think you`ve won?", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_2:Say("You`re too naive!", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_2:Say("Now, the last pure land of Cloud Island will turn into stone!", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_2:Say("The curse... is about to be fulfilled! Muahaha!", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_2:SetHide(1)
local Effect_1 = CppScriptMgr:AddEffect("taoist-huohuan", 55, 61, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1990)
Player_1:SetAction(101)
Player_1:Say("Oh no! We`ve been tricked!", 1500)
CppScriptMgr:WaitMilSec(2000)